#include <stdio.h>
#include <stdlib.h>

typedef struct funcionario {
    char cpf[12];
    char nome[30];
    char sexo;
    float salario;
} Funcionario;

void leVetorFuncionarios(Funcionario funcionarios[], int n) {
    int i;
    for(i = 0; i < n; ++i) {
        printf("\nFuncionario %d\n", i + 1);
        printf("CPF: ");
        scanf(" %[^\n]s", &funcionarios[i].cpf);
        printf("Nome: ");
        scanf(" %[^\n]s", &funcionarios[i].nome);
        printf("Sexo: ");
        scanf(" %c", &funcionarios[i].sexo);
        printf("Salario: ");
        scanf("%f", &funcionarios[i].salario);
    }
}

void imprimeVetorFuncionarios(Funcionario funcionarios[], int n) {
    int i;
    printf("          FUNCIONARIOS          \n");
    printf("________________________________\n");
    for(i = 0; i < n; ++i) {
        printf("\nFuncionario %d\n", i + 1);
        printf("   CPF: %s\n", funcionarios[i].cpf);
        printf("   Nome: %s\n", funcionarios[i].nome);
        printf("   Sexo: %c\n", funcionarios[i].sexo);
        printf("   Salario: %.2f\n", funcionarios[i].salario);
        printf("________________________________\n");
    }
}

void aumentaSalarios(Funcionario funcionarios[], int n) {
    int i;
    for(i = 0; i < n; ++i) {
        funcionarios[i].salario = funcionarios[i].salario * 1.15;
    }
}

int main() {
    int n;
    printf("Informe o numero de funcionarios: ");
    scanf("%d", &n);

    Funcionario funcionarios[n];
    leVetorFuncionarios(funcionarios, n);
    system("cls");
    printf("Funcionarios apos o aumento:\n");
    aumentaSalarios(funcionarios, n);
    imprimeVetorFuncionarios(funcionarios, n);

    return 0;
}
