#include <stdio.h>
#include <stdlib.h>

typedef struct produto {
    int codigo;
    char descricao[50];
    int estoque;
    float preco;
} Produto;

void leVetorProdutos(Produto produtos[], int n) {
    int i;
    for(i = 0; i < n; ++i) {
        printf("\nProduto %d\n", i + 1);
        printf("Codigo: ");
        scanf("%d", &produtos[i].codigo);
        printf("Descricao: ");
        scanf(" %[^\n]s", &produtos[i].descricao);
        printf("Estoque: ");
        scanf("%d", &produtos[i].estoque);
        printf("Preco: ");
        scanf("%f", &produtos[i].preco);
    }
}

void imprimeVetorProdutos(Produto produtos[], int n) {
    int i;
    printf("            PRODUTOS            \n");
    printf("________________________________\n");
    for(i = 0; i < n; ++i) {
        printf("\nProduto %d\n", i + 1);
        printf("   Codigo: %d\n", produtos[i].codigo);
        printf("   Descricao: %s\n", produtos[i].descricao);
        printf("   Estoque: %d\n", produtos[i].estoque);
        printf("   Preco: %.2f\n", produtos[i].preco);
        printf("________________________________\n");
    }
}

int venda(Produto produtos[], int n, int cod, int q) {
    int i;
    for(i = 0; i < n; ++i) {
        if(produtos[i].codigo == cod) {
            if(produtos[i].estoque >= q) {
                produtos[i].estoque = produtos[i].estoque - q;
                return 1;
            }
            else {
                return 0;
            }
        }
    }
}
int main() {
    int n, codigo, q;
    printf("Informe o numero de produtos: ");
    scanf("%d", &n);

    Produto produtos[n];
    leVetorProdutos(produtos, n);
    system("cls");
    printf("Informe o codigo do produto comprado: ");
    scanf("%d", &codigo);
    printf("Informe o numero de unidades compradas: ");
    scanf("%d", &q);
    system("cls");

    if(venda(produtos, n, codigo, q))
        printf("Venda processada com sucesso!\n");
    else
        printf("NAO ha estoque suficiente!\n");

    imprimeVetorProdutos(produtos, n);

    return 0;
}
